%define	desktop_vendor planetccrma
%define desktop_utils  %(test -x /usr/bin/desktop-file-install && echo "yes")

Summary:      Sound wave editor
Name:         sweep
Version:      0.8.3
Release:      2
License:      GPL
Group:        Applications/Multimedia
URL:          http://sweep.sourceforge.net/
Source:       %{name}-%{version}.tar.gz
Buildroot:    %{_tmppath}/%{name}-%{version}-root
Requires:     gtk+ >= 1.2.0
Packager:     Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: gcc-c++ pkgconfig alsa-lib-devel gtk+-devel
BuildRequires: libsamplerate-devel libsndfile-devel 
BuildRequires: libvorbis-devel speex-devel libmad-devel

%description
Sweep is an editor for sound samples. It operates on files of various
formats such as .wav, .aiff and .au, and has multiple undo/redo levels
and filters. It supports audio filter plugins from the LADSPA project.

%package  devel
Summary:  Sweep plugin development kit
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The sweep-devel package contains header files and documentation for writing
plugins for Sweep, a sound wave editor.

Install sweep-devel if you're going to create plugins for Sweep. You will
also need to install sweep.

%prep
%setup -q -n %{name}-%{version}

%build
%configure --enable-alsa

# add defines for old alsa api
%{__perl} -p -i -e "s|-O2|-O2 -DALSA_PCM_OLD_HW_PARAMS_API -DALSA_PCM_OLD_SW_PARAMS_API|g" src/Makefile

gmake

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_prefix}
%{__make} DESTDIR=%{buildroot} install-strip

%{__cat} << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Sweep
Comment=Sound wave editor
Icon=%{name}.png
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  %{__mkdir} -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  %{__install} -d %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia
  %{__install} %{desktop_vendor}-%{name}.desktop %{buildroot}%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%clean
%{__rm} -r %{buildroot}

%files
%defattr (-,root,root)
%doc ABOUT-NLS NEWS README ChangeLog
%doc README.Solaris README.ALSA
%doc doc/*.txt
%{_bindir}/sweep
%{_libdir}/sweep/libladspameta*
%{_libdir}/sweep/libecho*
%{_libdir}/sweep/libnormalise*
%{_libdir}/sweep/libreverse*
%{_libdir}/sweep/libbyenergy*
%{_libdir}/sweep/libfade*
%{_mandir}/man1/sweep.1*
%exclude %{_datadir}/gnome/apps/Multimedia/sweep.desktop
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%else
%attr(644,root,root) %{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/sweep.png
%{_datadir}/sweep/sweep_logo.ppm

%files devel
%defattr (-,root,root)
%doc doc/plugin_writers_guide.txt
%{_prefix}/include/sweep/

%changelog
* Sun Dec 26 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup
* Thu Dec  2 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.3-2
- remove extra menu entry that appears everywhere in fcx
* Fri Aug 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.3-1
- updated to 0.8.3
- 8.0 needs explicit pkgconfig build requirement
- tdb is now included in the package, removed build dependency
* Wed May 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added missing defattr
* Sat Nov  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.2-2
- added release tags, spec file tweaks
- added old alsa api defines
* Thu May  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.2-2
- rebuilt due to change in speex 1.0 library version
* Wed May  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.2-1
- updated to 0.8.2, now with alsa support
* Wed Feb 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.1-1
- updated to 0.8.1
* Sun Feb  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.0-1
- updated to 0.8.0, added icon
* Sat Dec  4 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.13
- updated to 0.5.13
* Sat Nov 16 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.10a
- updated to 0.5.10a
- updated file lists
* Thu Oct 24 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- used as a base sweep's included spec file
- cannot enable alsa, won't compile with current library
- added redhat 8.0 menu
* Sun Oct 08 2000 Conrad Parker <conrad@vergenet.net>
- updated for sweep version 0.1.0
- added devel package
- added packaging of plugins
- added documentation
